module TclPrimExports (
 TclPack(..),fromTclPack,
 Config,tcl_string,
 WTag,WPath,wtag,wpath,
 Coord(..),
 TkEvent(..),
 Widget,PWidget,WWidget,CWidget,MWidget,TWidget,EWidget,
 PClass,WClass,CClass,MClass,TClass,EClass,
 Window(..),Win(..),Geometry(..),
 Message(..),Messg(..),
 Frame(..),Fra(..),
 Menu(..),Men(..),Menubutton(..),MB(..),Cascade(..),CB(..),
 MButton(..),MBut(..),MCheckbutton(..),MChe(..),
 Separator(..),Sep(..),MRadiobutton(..),MRB(..),
 Radio(..),Radiobutton(..),RB(..),Checkbutton(..),Che(..),Button(..),But(..),
 Label(..),Lab(..),Scale(..),Sca(..),Listbox(..),Lis(..),Scrollbar(..),Scr(..),
 Canvas(..),Can(..),CImage(..),CIm(..),COval(..),COva(..),CLine(..),CLin(..),CRectangle(..),CRec(..),
 CArc(..),CAr(..),CPoly(..),CPol(..),CText(..),CTex(..),CBitmap(..),CBit(..),CWindow(..),CWin(..),
 Entry(..),Ent(..),Edit(..),Edi(..),Mark(..),MarkId(..),Tag(..),TagId(..),Tg(..),Embedded(..),Ew(..),
 ScrollUnit(..),LIndex(..),TIndex(..),ModMove(..),EIndex(..),Coord(..),
 Gravity(..),
 getMark,insertionMark,currentMark,tagId,tagEditWPath,moveMItem,
 rgb,parentWPath,parentWPath',tcl_append,parseInt,CCoord(..)
 ) where
import TclPrimWidgets
import TclPrimCore
import TclGUI
